'use strict';

/**
 * Application configuration
 */

var options = {};

/**
 * The name of your application
 */
options['name'] = prcoess.env.APP_NAME != null ? process.env.APP_NAME : 'Quture';

/**
 * Application port
 */
options['port'] = prcoess.env.APP_PORT != null ? process.env.APP_PORT : 80;

/**
 * Prettify response output
 */
options['prettify'] = true;

/**
 * Application key
 */
options['key'] = process.env.APP_KEY != null ? process.env.APP_KEY : 'superSecretApplicationKey';

/**
 * Run the application using a HTTPS connection
 */
options['secure'] = process.env.APP_SECURE != null ? process.env.APP_SECURE : true;

/**
 * Run the application behind a proxy server
 */
options['behindProxy'] = process.env.APP_BEHIND_PROXY != null ? process.env.APP_BEHIND_PROXY : false;

/**
 * The view engine that handles the rendering of templates
 */
options['viewEngine'] = process.env.VIEW_ENGINE != null ? process.env.VIEW_ENGINE : 'pug';

module.exports = options;